
#include "TriMRFEnergy.h"

/*	
*/

extern "C" void cudaInitTimer () ;
extern "C" void cudaBeginTimer ();
extern "C" void cudaEndTimer ();
extern "C" void cudaDestroyTimer ();

cudaEvent_t start, stop; 
float elapsed_time;

void cudaInitTimer ()
{	    
	cudaEventCreate(&start);
	cudaEventCreate(&stop);
}

void cudaBeginTimer ()
{
	cudaEventRecord( start, 0 );
}

void cudaEndTimer ()
{
	cudaEventRecord( stop, 0 ); 
	cudaEventSynchronize( stop );
	cudaEventElapsedTime( &elapsed_time, start, stop );
	printf("Elapsed Time: %f ms\n", elapsed_time);	
}

void cudaDestroyTimer () {
	cudaEventDestroy(start);
	cudaEventDestroy(stop);
}